Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 552)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 553)
@@ -1998,11 +1998,6 @@
 	}
 
 	@Override
-	public boolean isResultUsingParent(TXMResult parent) {
-		return this.concordance.getParent().getName().equals(parent.getName());
-	}
-
-	@Override
 	public Concordance getResultData() {
 		return concordance;
 	}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 552)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 553)
@@ -401,9 +401,7 @@
 		this.fillDisplay();
 		super.refresh(update);
 	}
-	
 
-
 	
 	/**
 	 * Fills display.
@@ -471,20 +469,7 @@
 	
 	
 
-	@Override
-	public boolean isResultUsingParent(TXMResult parent) {
-		if (this.getResultData() == null) {
-			return false;
-		}
-		if (this.getResultData().getCorpus() == null) {
-			return false;
-		}
-		return this.getResultData().getCorpus().getName().equals(parent.getName());
-	}
-
 	
-	
-	
 	// FIXME: old method
 //	@Override
 //	public void computeResult() {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 552)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 553)
@@ -246,7 +246,7 @@
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct visible children count = " + ((TXMResult)selectedItem).getChildren(true).size());
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): children count = " + ((TXMResult)selectedItem).getDeepChildren().size());
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): root parent = " + ((TXMResult)selectedItem).getRootParent());
-				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): corpus parent = " + ((TXMResult)selectedItem).getParentMainCorpus());
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): corpus parent = " + Corpus.getParentMainCorpus(((TXMResult)selectedItem)));
 			}
 
 			@Override
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 552)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 553)
@@ -535,18 +535,7 @@
 		close(false);
 	}
 	
-	/**
-	 * 
-	 * @param parent
-	 * @return
-	 */
-	// FIXME: what is the usage of this method?
-	public boolean isResultUsingParent(TXMResult parent) {
-		if (this.getResultData() == null) return false;
-		else return this.getResultData().isUsingParent(parent);
-	}
 	
-	
 	/**
 	 * Creates and populates a popup menu with the specified id and attaches it to the specified composite.
 	 * The menu will be accessible through the RCP extension in plugin.xml by its id, eg. "popup:" + menuId. 
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 552)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 553)
@@ -207,17 +207,17 @@
 	 * @return true this object is connected to the parent
 	 */
 	// FIXME: what is the usage of this method?
-	public boolean isUsingParent(TXMResult parent) {
-		if (this == parent) {
-			return true;
-		}
-		else if (this.parent == null) {
-			return false;
-		}
-		else {
-			return this.parent.isUsingParent(parent);
-		}
-	}
+//	public boolean isUsingParent(TXMResult parent) {
+//		if (this == parent) {
+//			return true;
+//		}
+//		else if (this.parent == null) {
+//			return false;
+//		}
+//		else {
+//			return this.parent.isUsingParent(parent);
+//		}
+//	}
 
 	/**
 	 * Gets the preferences node qualifier of the result command.
@@ -576,17 +576,18 @@
 		return root;
 	}
 
+
 	/**
-	 * Gets the first parent of the specified class simple name, eg. this.getFirstParent("Corpus");
+	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
 	 * Returns the object itself if it is of the specified class.
-	 * @param classSimpleName
+	 * @param type
 	 * @return
 	 */
-	synchronized public TXMResult getFirstParent(String classSimpleName) {
+	synchronized public TXMResult getFirstParent(Class type) {
 		TXMResult node = null;
 		TXMResult parent = this;
 		do {
-			if(parent.getClass().getSimpleName().equals(classSimpleName)) {
+			if(parent.getClass().equals(type)) {
 				node = parent;	
 			}
 
@@ -594,37 +595,10 @@
 		} while (parent != null && node == null);
 
 		return node;
-	}
 
-	/**
-	 * Gets the main corpus parent.
-	 * @return the first parent of class "MainCorpus" or the object itself if it is its class name.
-	 */
-	synchronized public TXMResult getParentMainCorpus() {
-		return this.getFirstParent("MainCorpus"); //$NON-NLS-1$
 	}
 
 	/**
-	 * Returns the first parent object that is a SubCorpus, a Corpus or a MainCorpus.
-	 * Returns the object itself if its class is one of the the three listed below.
-	 * @return
-	 */
-	synchronized public TXMResult getFirstParentCorpus() {
-
-		// FIXME: need to validate/prove this method
-		System.err.println("TXMResult.getFirstCorpusParent(): need to validate/prove this method.");
-
-		TXMResult corpus = this.getFirstParent("Subcorpus"); //$NON-NLS-1$
-		if(corpus == null)	{
-			corpus = this.getFirstParent("Corpus"); //$NON-NLS-1$
-		}
-		if(corpus == null)	{
-			corpus = this.getParentMainCorpus();
-		}
-		return corpus;
-	}
-
-	/**
 	 * Gets the sibling nodes of this node result.
 	 */
 	synchronized public ArrayList<TXMResult> getSiblings() {
@@ -930,10 +904,10 @@
 		updateLastComputeParameters(); // store last used parameters
 
 		if (!saveParameters()) {
-			System.out.println("Warning: "+this.getName()+" parameters are not saved.");
+			System.out.println("Warning: " + this.getName() + " parameters are not saved.");
 		}
 
-		this.dirty = false; // the _compute was successful the result is no more dirty
+		this.dirty = false; // the computing was successful, the result is no more dirty
 		this.hasBeenComputedOnce = true; 
 		// FIXME: Debug
 		System.err.println("TXMResult.compute(): computing done.");
Index: tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java	(revision 552)
+++ tmp/org.txm.links.rcp/src/org/txm/rcp/commands/link/IndexToLexicalTable.java	(revision 553)
@@ -46,7 +46,7 @@
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.lexicaltable.core.statsengine.r.data.LexicalTableImpl;
-import org.txm.lexicaltable.rcp.editors.LexicalTableEditorInput;
+import org.txm.lexicaltable.rcp.editors.___LexicalTableEditorInput;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
@@ -129,7 +129,7 @@
 			IWorkbenchWindow window = PlatformUI.getWorkbench()
 					.getActiveWorkbenchWindow();
 			IWorkbenchPage page = window.getActivePage();
-			LexicalTableEditorInput editorInput = new LexicalTableEditorInput(table);
+			___LexicalTableEditorInput editorInput = new ___LexicalTableEditorInput(table);
 			StatusLine.setMessage(RCPMessages.ComputeLexicalTable_10);
 			page.openEditor(editorInput, "org.txm.rcp.editors.lexicaltable.LexicalTableEditor"); //$NON-NLS-1$
 		} catch (PartInitException e) {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 552)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 553)
@@ -114,16 +114,16 @@
 	protected PropertiesSelector propsArea;
 	// seuils
 	/** The Fmin spinner. */
-	protected Spinner FminSpinner;
+	protected Spinner fMinSpinner;
 
 	/** The Fmax spinner. */
-	protected Spinner FmaxSpinner;
+	protected Spinner fMaxSpinner;
 
 	/** The Tmax spinner. */
-	protected Spinner VmaxSpinner;
+	protected Spinner vMaxSpinner;
 
 	/** The N ligne p page spinner. */
-	protected Spinner NLignePPageSpinner;
+	protected Spinner nLinesPerPageSpinner;
 	// infos
 	/** The navigation area. */
 	protected NavigationWidget navigationArea;
@@ -155,36 +155,10 @@
 	/** The separator column. */
 	protected TableColumn separatorColumn;
 
-//	/** The top line. */
-//	protected int topLine;
-//
-//	/** The bottom line. */
-//	protected int bottomLine;
-//
-//	/** The nblinesperpage. */
-//	protected int nblinesperpage;
-//
-//	/** The nblinesmax. */
-//	protected int nblinesmax;
-//
-//	/** The prop separator. */
-//	protected String propSeparator = "_"; //$NON-NLS-1$
 
-	//	/** The scroll composite. */
-	//	private ScrolledComposite scrollComposite;
-	//
-	//	/** The head composite. */
-	//	private Composite headComposite;
-
 	/** The title. */
 	String title;
 
-	/**
-	 * Instantiates a new index editor.
-	 */
-	public IndexEditor() {
-		super();
-	}
 
 	/**
 	 * Inits the editor result.
@@ -200,46 +174,35 @@
 		super.init(site, input);
 
 		TXMResult result = ((TXMResultEditorInput) input).getResult();
-		if (result != null && result instanceof Index)
+		if (result != null && result instanceof Index) {
 			this.index = (Index) result;
-		else 
-			throw new PartInitException("TXMResult input is not an Index: "+result);
+		}
+		else { 
+			throw new PartInitException("TXMResult input is not an Index: " + result);
+		}
 	}
 
-	/**
-	 * Checks if is save as allowed.
-	 *
-	 * @return true, if is save as allowed
-	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
-	 */
-	@Override
-	public boolean isSaveAsAllowed() {
-		return false;
-	}
 
 	@Override
-	public boolean isSaveOnCloseNeeded() {
-		return false;
-	}
-
-	public void setResultParameters() {
+	public void updateResultFromEditor() {
 		final Query query = new Query("");
 		if (!queryWidget.isDisposed() && !queryWidget.getQueryString().equals("\"\"")) { //$NON-NLS-1$
 			query.setQueryString(queryWidget.getQueryString());
 		}
 
-		final Integer Fmin = Integer.parseInt(FminSpinner.getText());
-		final Integer Fmax = Integer.parseInt(FmaxSpinner.getText());
-		final Integer Tmax = Integer.parseInt(this.VmaxSpinner.getText());
-		final Integer nLines = Integer.parseInt(this.NLignePPageSpinner.getText());
+		final Integer fMin = Integer.parseInt(fMinSpinner.getText());
+		final Integer fMax = Integer.parseInt(fMaxSpinner.getText());
+		final Integer tMax = Integer.parseInt(this.vMaxSpinner.getText());
+		final Integer nLines = Integer.parseInt(this.nLinesPerPageSpinner.getText());
 		final List<Property> properties = propsArea.getProperties();
 		
-		index.setNLinesPerPage(NLignePPageSpinner.getSelection());
-		index.setVMax(VmaxSpinner.getSelection());
+		index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
+		index.setVMax(vMaxSpinner.getSelection());
 		
-		index.setParameters(query, properties, Fmin, Fmax, Tmax, nLines);
+		index.setParameters(query, properties, fMin, fMax, tMax, nLines);
 		index.setDirty();
 	}
+
 	
 	/**
 	 * Computes index.
@@ -248,59 +211,59 @@
 	public void refresh(final boolean update) {
 		
 		//System.out.println("PROPERTIES: "+properties);
-		title = "Index...";
-		try {
-			JobHandler jobhandler = new JobHandler(title) {
-				@Override
-				protected IStatus run(IProgressMonitor monitor) {
-					this.runInit(monitor);
-					try {
-						JobsTimer.start();
+//		title = "Index...";
+//		try {
+//			JobHandler jobhandler = new JobHandler(title) {
+//				@Override
+//				protected IStatus run(IProgressMonitor monitor) {
+//					this.runInit(monitor);
+//					try {
+//						JobsTimer.start();
+//
+//						monitor.worked(95);
+//						// refresh ui
+//						syncExec(new Runnable() {
+//							@Override
+//							public void run() {
 
-						if (monitor.isCanceled())
-							return Status.CANCEL_STATUS;
-
-						monitor.worked(95);
-						// refresh ui
-						syncExec(new Runnable() {
-							@Override
-							public void run() {
-
 								QueriesView.refresh();
 								RVariablesView.refresh();
 
-								if (!queryWidget.isDisposed()) queryWidget.memorize();
+								if (!queryWidget.isDisposed()) {
+									queryWidget.memorize();
+								}
 								
 								fillDisplayArea();
 
 								viewer.getTable().setFocus();
-							}
-						});
-
-					} catch (ThreadDeath td) {
-						return Status.CANCEL_STATUS;
-					} catch (Exception e) {
-						e.printStackTrace();
-						System.out.println(e.getLocalizedMessage());
-						try {
-							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
-						} catch (Exception e1) {
-							System.out.println(IndexUIMessages.IndexEditor_10+e1);
-							org.txm.rcp.utils.Logger.printStackTrace(e1);
-						}
-						Log.severe("Error while computing Index: "+e.getLocalizedMessage());
-					} finally {
-						monitor.done();
-						JobsTimer.stopAndPrint();
-					}
-					return Status.OK_STATUS;
-				}
-			};
-			jobhandler.startJob();
-
-		} catch (Exception e1) {
-			org.txm.rcp.utils.Logger.printStackTrace(e1);
-		}
+								super.refresh(update);
+//							}
+//						});
+//
+//					} catch (ThreadDeath td) {
+//						return Status.CANCEL_STATUS;
+//					} catch (Exception e) {
+//						e.printStackTrace();
+//						System.out.println(e.getLocalizedMessage());
+//						try {
+//							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+//						} catch (Exception e1) {
+//							System.out.println(IndexUIMessages.IndexEditor_10+e1);
+//							org.txm.rcp.utils.Logger.printStackTrace(e1);
+//						}
+//						Log.severe("Error while computing Index: "+e.getLocalizedMessage());
+//					} finally {
+//						monitor.done();
+//						JobsTimer.stopAndPrint();
+//					}
+//					return Status.OK_STATUS;
+//				}
+//			};
+//			jobhandler.startJob();
+//
+//		} catch (Exception e1) {
+//			org.txm.rcp.utils.Logger.printStackTrace(e1);
+//		}
 	}
 
 	/**
@@ -351,7 +314,7 @@
 			@Override
 			public void keyPressed(KeyEvent e) {
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
-					setResultParameters();
+					updateResultFromEditor();
 					compute(true);
 				}
 			}
@@ -369,7 +332,7 @@
 			@Override
 			public void handleEvent(Event event) {
 				if (!initializing && TXMPreferences.getBoolean(RCPPreferences.AUTO_UPDATE_EDITOR, RCPPreferences.PREFERENCES_NODE)) {
-					setResultParameters();
+					updateResultFromEditor();
 					compute(false);
 				}
 			}
@@ -393,7 +356,7 @@
 		SelectionListener listener2 = new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				setResultParameters();
+				updateResultFromEditor();
 				compute(true);
 			}
 			@Override
@@ -426,56 +389,56 @@
 		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
 		fieldsGridData.minimumWidth = 100;
 
-		FminSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		FminSpinner.setMinimum(0);
-		FminSpinner.setMaximum(9999999);
-		FminSpinner.setIncrement(1);
-		FminSpinner.setPageIncrement(100);
-		FminSpinner.setLayoutData(fieldsGridData);
-		FminSpinner.addKeyListener(listener);
+		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		fMinSpinner.setMinimum(0);
+		fMinSpinner.setMaximum(9999999);
+		fMinSpinner.setIncrement(1);
+		fMinSpinner.setPageIncrement(100);
+		fMinSpinner.setLayoutData(fieldsGridData);
+		fMinSpinner.addKeyListener(listener);
 
 		Label lFmax = new Label(filtercontrols, SWT.NONE);
 		lFmax.setText(TXMCoreMessages.FMAX_1);
 		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
-		FmaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		FmaxSpinner.setMinimum(0);
-		FmaxSpinner.setMaximum(9999999);
-		FmaxSpinner.setIncrement(1);
-		FmaxSpinner.setPageIncrement(100);
-		FmaxSpinner.setLayoutData(fieldsGridData);
-		FmaxSpinner.addKeyListener(listener);
+		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		fMaxSpinner.setMinimum(0);
+		fMaxSpinner.setMaximum(9999999);
+		fMaxSpinner.setIncrement(1);
+		fMaxSpinner.setPageIncrement(100);
+		fMaxSpinner.setLayoutData(fieldsGridData);
+		fMaxSpinner.addKeyListener(listener);
 
 		Label lVmax = new Label(filtercontrols, SWT.NONE);
 		lVmax.setText(TXMCoreMessages.VMAX_1);
 		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
-		VmaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		VmaxSpinner.setMinimum(0);
-		VmaxSpinner.setMaximum(9999999);
-		VmaxSpinner.setIncrement(1);
-		VmaxSpinner.setPageIncrement(100);
-		VmaxSpinner.setLayoutData(fieldsGridData);
-		VmaxSpinner.addKeyListener(listener);
+		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		vMaxSpinner.setMinimum(0);
+		vMaxSpinner.setMaximum(9999999);
+		vMaxSpinner.setIncrement(1);
+		vMaxSpinner.setPageIncrement(100);
+		vMaxSpinner.setLayoutData(fieldsGridData);
+		vMaxSpinner.addKeyListener(listener);
 
 		Label lNLigneppage = new Label(filtercontrols, SWT.NONE);
 		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
 		lNLigneppage.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
-		NLignePPageSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		NLignePPageSpinner.setMinimum(0);
-		NLignePPageSpinner.setMaximum(99999);
-		NLignePPageSpinner.setIncrement(1);
-		NLignePPageSpinner.setPageIncrement(100);
-		NLignePPageSpinner.setLayoutData(fieldsGridData);
-		NLignePPageSpinner.addSelectionListener(new SelectionListener() {
+		nLinesPerPageSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		nLinesPerPageSpinner.setMinimum(0);
+		nLinesPerPageSpinner.setMaximum(99999);
+		nLinesPerPageSpinner.setIncrement(1);
+		nLinesPerPageSpinner.setPageIncrement(100);
+		nLinesPerPageSpinner.setLayoutData(fieldsGridData);
+		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) { }
 
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {
 				index.setTopLine(0);
-				index.setNLinesPerPage(NLignePPageSpinner.getSelection());
+				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
 				fillDisplayArea();
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
@@ -497,7 +460,7 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(0);
-				index.setNLinesPerPage(NLignePPageSpinner.getSelection());
+				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
 				fillDisplayArea();
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
@@ -510,8 +473,8 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				int i = (index.getV()/NLignePPageSpinner.getSelection());
-				int top = i*NLignePPageSpinner.getSelection();
+				int i = (index.getV()/nLinesPerPageSpinner.getSelection());
+				int top = i*nLinesPerPageSpinner.getSelection();
 				
 				index.setTopLine(top);
 				fillDisplayArea();
@@ -715,8 +678,6 @@
 		createContextMenu(viewer);
 		viewer.getTable().pack();
 		parent.layout(true);
-
-		//compute(true);
 	}
 
 	/**
@@ -790,32 +751,34 @@
 
 		// min, max
 		if (index.getFilterFmin() != null) {
-			this.FminSpinner.setSelection(index.getFilterFmin());
+			this.fMinSpinner.setSelection(index.getFilterFmin());
 		} else {
-			this.FminSpinner.setSelection(this.getIntParameterValue(IndexPreferences.FMIN_FILTER));
+			this.fMinSpinner.setSelection(this.getIntParameterValue(IndexPreferences.FMIN_FILTER));
 		}
 
 		if (index.getFilterFmax() != null) {
-			this.FmaxSpinner.setSelection(index.getFilterFmax());
+			this.fMaxSpinner.setSelection(index.getFilterFmax());
 		} else {
-			this.FmaxSpinner.setSelection(this.getIntParameterValue(IndexPreferences.FMAX_FILTER));
+			this.fMaxSpinner.setSelection(this.getIntParameterValue(IndexPreferences.FMAX_FILTER));
 		}
 
 		if (index.getFilterVmax() != null) {
-			this.VmaxSpinner.setSelection(index.getFilterVmax());
+			this.vMaxSpinner.setSelection(index.getFilterVmax());
 		} else {
-			this.VmaxSpinner.setSelection(this.getIntParameterValue(IndexPreferences.VMAX_FILTER));
+			this.vMaxSpinner.setSelection(this.getIntParameterValue(IndexPreferences.VMAX_FILTER));
 		}
 
 		if (index.getNLinesPerPage() != null) {
-			this.NLignePPageSpinner.setSelection(index.getNLinesPerPage());
+			this.nLinesPerPageSpinner.setSelection(index.getNLinesPerPage());
 		} else {
-			this.NLignePPageSpinner.setSelection(this.getIntParameterValue(IndexPreferences.NLINESPERPAGE));
+			this.nLinesPerPageSpinner.setSelection(this.getIntParameterValue(IndexPreferences.NLINESPERPAGE));
 		}
 
 		queryWidget.setFocus();
 
-		if (queryWidget != null && !queryWidget.isDisposed()) queryWidget.setFocus();
+		if (queryWidget != null && !queryWidget.isDisposed()) {
+			queryWidget.setFocus();
+		}
 
 		initializing = false;
 	}
@@ -871,6 +834,7 @@
 			col.pack();
 		}
 		viewer.getControl().setRedraw(true);
+		
 	}
 
 	/**
@@ -880,8 +844,9 @@
 	 */
 	@Override
 	public void setFocus() {
-		if (!this.queryWidget.isDisposed())
+		if (!this.queryWidget.isDisposed()) {
 			this.queryWidget.setFocus();
+		}
 		StatusLine.setMessage(IndexUIMessages.IndexEditor_29);
 	}
 
@@ -907,24 +872,5 @@
 		return queryWidget.getQuery();
 	}
 
-	/**
-	 * Do save.
-	 *
-	 * @param arg0 the arg0
-	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
-	 */
-	@Override
-	public void doSave(IProgressMonitor arg0) {
-		// TODO Auto-generated method stub
-	}
 
-	/**
-	 * Do save as.
-	 *
-	 * @see org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()
-	 */
-	@Override
-	public void doSaveAs() {
-		// TODO Auto-generated method stub
-	}
 }
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 552)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 553)
@@ -90,7 +90,7 @@
 			}
 	
 			if (!saveParameters()) {
-				return false;
+				System.out.println("ChartResult.compute(): saving parameters failed.");
 			}
 	
 			this.dirty = false; // the _compute was successful the result is no more dirty
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 552)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 553)
@@ -66,8 +66,7 @@
 		this.name = shortName;
 		this.partition = partition;
 
-		// FIXME: to validate
-//		this.partition.addChild(this);
+		this.partition.addChild(this);
 	}
 
 	/**
@@ -88,13 +87,13 @@
 	 *             the cqi client exception
 	 */
 	public int getNTexts() throws CqiClientException {
-		if (nTexts < 0)
+		if (nTexts < 0) {
 			try {
-				nTexts = CorpusManager.getCorpusManager().getCqiClient()
-						.subCorpusSize(getQualifiedCqpId());
+				nTexts = CorpusManager.getCorpusManager().getCqiClient().subCorpusSize(getQualifiedCqpId());
 			} catch (Exception e) {
 				throw new CqiClientException(e);
 			}
+		}
 		return nTexts;
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 552)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Corpus.java	(revision 553)
@@ -1368,4 +1368,34 @@
 			textIdStructuralUnitProperty = getTextStructuralUnit().getProperty(ID);
 		return textIdStructuralUnitProperty;
 	}
+	
+	/**
+	 * Gets the main corpus parent.
+	 * @return the first parent of class MainCorpus or the object itself if it is its class.
+	 */
+	synchronized public static TXMResult getParentMainCorpus(TXMResult result) {
+		return result.getFirstParent(MainCorpus.class);
+	}
+	
+
+	/**
+	 * Returns the first parent object that is a Subcorpus, a Corpus or a MainCorpus.
+	 * Returns the object itself if its class is one of the the three listed below.
+	 * @return
+	 */
+	synchronized public static TXMResult getFirstParentCorpus(TXMResult result) {
+		
+		// FIXME: need to validate/prove this method
+		System.err.println("Corpus.getFirstCorpusParent(): need to validate/prove this method.");
+		
+		TXMResult corpus = result.getFirstParent(Subcorpus.class);
+		if(corpus == null)	{
+			corpus = result.getFirstParent(Corpus.class);
+		}
+		if(corpus == null)	{
+			corpus = getParentMainCorpus(result);
+		}
+		return corpus;
+	}
+	
 }
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/MergeLines.java	(revision 553)
@@ -39,7 +39,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
+import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
@@ -60,8 +60,8 @@
 
 		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
-		if (editor instanceof LexicalTableEditor2) {
-			LexicalTableEditor2 LTeditor = (LexicalTableEditor2) editor;
+		if (editor instanceof LexicalTableEditor) {
+			LexicalTableEditor LTeditor = (LexicalTableEditor) editor;
 			int[] selection = LTeditor.getlineTableViewer().getTable()
 					.getSelectionIndices();
 			if (selection.length == 0)
@@ -90,7 +90,7 @@
 	 * @param newname the newname
 	 * @param selection the selection
 	 */
-	static public void mergeLines(LexicalTableEditor2 LTeditor, String newname,
+	static public void mergeLines(LexicalTableEditor LTeditor, String newname,
 			int[] selection) {
 		// sum the lines
 		StatusLine.setMessage(LexicalTableUIMessages.LexicalTableEditor_18);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ExportLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ExportLexicalTable.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ExportLexicalTable.java	(revision 553)
@@ -37,7 +37,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
+import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.swt.dialog.LastOpened;
 
@@ -55,8 +55,8 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
-		if (editor instanceof LexicalTableEditor2) {
-			LexicalTableEditor2 LTeditor = (LexicalTableEditor2) editor;
+		if (editor instanceof LexicalTableEditor) {
+			LexicalTableEditor LTeditor = (LexicalTableEditor) editor;
 			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
 					.getShell();
 			FileDialog dialog = new FileDialog(shell, SWT.SAVE);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/DeleteLines.java	(revision 553)
@@ -36,7 +36,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
+import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.rcp.RCPMessages;
 /**
  * Allow the user to delete lines in a Lexical Table.
@@ -58,14 +58,14 @@
 
 		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
-		if (editor instanceof LexicalTableEditor2) {
-			LexicalTableEditor2 LTeditor = (LexicalTableEditor2) editor;
+		if (editor instanceof LexicalTableEditor) {
+			LexicalTableEditor LTeditor = (LexicalTableEditor) editor;
 			deleteLexicalTableLines(LTeditor);
 		}
 		return null;
 	}
 
-	public static void deleteLexicalTableLines(LexicalTableEditor2 LTeditor) {
+	public static void deleteLexicalTableLines(LexicalTableEditor LTeditor) {
 		int[] selection = LTeditor.getlineTableViewer().getTable()
 				.getSelectionIndices();
 		if (selection.length == 0)
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java	(revision 552)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/___MergeCols.java	(revision 553)
@@ -40,7 +40,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.lexicaltable.core.functions.LexicalTable;
-import org.txm.lexicaltable.rcp.editors.LexicalTableEditor2;
+import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
 import org.txm.rcp.RCPMessages;
 import org.txm.statsengine.core.StatException;
 /**
@@ -59,8 +59,8 @@
 
 		IWorkbenchPart editor = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
-		if (editor instanceof LexicalTableEditor2) {
-			LexicalTableEditor2 LTeditor = (LexicalTableEditor2) editor;
+		if (editor instanceof LexicalTableEditor) {
+			LexicalTableEditor LTeditor = (LexicalTableEditor) editor;
 			int[] selection = LTeditor.getlineTableViewer().getTable()
 					.getSelectionIndices();
 			if (selection.length == 0)
